using System.Data;
using System;

class Class1
{
	static private void DemonstrateRowState()
	{
		int i;
		// Create a DataTable with one column.
		DataTable myTable = new DataTable("myTable");
		DataColumn myColumn = new DataColumn("myColumn");
		myTable.Columns.Add(myColumn);
		// Add ten rows.
		DataRow myRow;
		for(i = 0;i < 10 ;i++) 
		{
			myRow = myTable.NewRow();
			myRow["myColumn"] = "item " + i;
			myTable.Rows.Add(myRow);
		}
		myTable.AcceptChanges();
		// Create a DataView with the table.
		DataView myView = new DataView(myTable);
		// Change one row's value:
		myTable.Rows[1]["myColumn"] = "Hello";
		// Add one row:
		myRow = myTable.NewRow();
		myRow["myColumn"] = "World";
		myTable.Rows.Add(myRow);
		// Set the RowStateFilter to display only Added and modified rows.
		myView.RowStateFilter=DataViewRowState.Added | DataViewRowState.ModifiedCurrent;
		// Print those rows. Output = "Hello" "World";
		PrintView(myView, "ModifiedCurrent and Added");
		// Set filter to display on originals of modified rows.
		myView.RowStateFilter=DataViewRowState.ModifiedOriginal;
		PrintView(myView,"ModifiedOriginal");
		// Delete three rows.
		myTable.Rows[1].Delete();
		myTable.Rows[2].Delete();
		myTable.Rows[3].Delete();
		// Set the RowStateFilter to display only Added and modified rows.
		myView.RowStateFilter=DataViewRowState.Deleted;
		PrintView(myView,"Deleted");
		//Set filter to display only current.
		myView.RowStateFilter=DataViewRowState.CurrentRows;
		PrintView(myView,"Current");
		// Set filter to display only unchanged rows.
		myView.RowStateFilter=DataViewRowState.Unchanged; 
		PrintView(myView,"Unchanged");
		// Set filter to display only original rows.
		myView.RowStateFilter=DataViewRowState.OriginalRows ; 
		PrintView(myView,"OriginalRows");
	}


	static private void PrintView(DataView dv,string label)
	{
		Console.WriteLine("\n" + label);
		for(int i = 0;i < dv.Count ;i++) 
		{
			Console.WriteLine(dv[i]["myColumn"]);
		}
	}
	

	static void Main(string[] args)
	{
		DemonstrateRowState();
 	}
}